package com.example.wabi.view.ui.theme

import androidx.compose.runtime.staticCompositionLocalOf
import androidx.compose.ui.graphics.Color
import com.example.wabi.models.system.ColorPalette

val BlackBlueGray = Color(0xFF4A5C6A)
val BrightBlue = Color(0xFF83FFE0)
val BlackSea = Color(0xFF11212D)
val CreamRed = Color(0xFFFF725F)
val CreamYellow = Color(0xFFFFF387)
val BlackSea70 = Color(0x7011212D)
val White70 = Color(0x70FFFFFF)

val DarkColorScheme = ColorPalette(
    mainColor = Color.White,
    singleColor = BlackBlueGray,
    backgroundColor = BlackSea,
    accentColorOne = BrightBlue,
    accentColorTwo = CreamRed,
    accentColorTree = CreamYellow,
    error = CreamRed,
    translucentColor = White70,
    onBoardDark = BlackSea,
    onBoardLight = Color.White
)

val LightColorScheme = ColorPalette(
    mainColor = BlackSea,
    singleColor = BlackBlueGray,
    backgroundColor = Color.White,
    accentColorOne = BrightBlue,
    accentColorTwo = CreamRed,
    accentColorTree = CreamYellow,
    error = CreamRed,
    translucentColor = BlackSea70,
    onBoardDark = BlackSea,
    onBoardLight = Color.White
)

//провайдер для обращения к темам и их изменению
val LocalColors = staticCompositionLocalOf<ColorPalette> { error("Colors composition error") }